#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/as400/acsisrv.sh, si_ostp, si_dev
# Version:  1.7
# Modified: 4/6/06 12:15:39
# Build:    1 7
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# f006683  smurphy    20050428       New generic SI service handler starts cloudscape and SI upgrader
# f006760  bmyers     20050506       Rename to acsisrv and now handle parameters
#########################################################################

. "$(commonLocation)/setenv.sh"


if [ -z "$1" ] || [ "$1" != "-start" ] && [ "$1" != "-stop" ] ; then

	echo "Argument [$1] is not supported."
	echo ""
	echo "Usage:"
	echo "acsisrv.sh -start"
	echo "acsisrv.sh -stop"
	echo ""
else 

 if [ "$1" = "-start" ] ; then
   "$SI_JAVA_HOME"/bin/java -Djava.ext.dirs="$SI_EXT_DIRS" -Dacu.installMode=${SI_INSTALL_MODE} -Dderby.system.home="${SI_PATH}"/repos com.ibm.ac.si.service.ACSIServiceManagerBootstrap -sipath "${SI_PATH}" -start 
 else
  "$SI_JAVA_HOME"/bin/java -Djava.ext.dirs="$SI_EXT_DIRS" -Dacu.installMode=${SI_INSTALL_MODE} -Dderby.system.home="${SI_PATH}"/repos com.ibm.ac.si.service.ACSIServiceManagerBootstrap -sipath "${SI_PATH}" -stop
 fi
fi
