#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/as400/backupdb.sh, si_cli, si_dev
# Version:  1.17
# Modified: 4/6/06 12:15:41
# Build:    1 17
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# f003476  mbelvin    20040820       Added installMode java property
# 5037 	   hyin       20050117       Copyright text is wrong in several .sh files
# f7107    bmyers     20050602       FN-26 - Allow root to run non-root install CLIs
# d7468    bmyers     20050626       fix common location
#########################################################################

. "$(commonLocation)/setenv.sh"

$SI_JAVA_HOME/bin/java -Djava.ext.dirs=${SI_EXT_DIRS} -Dacu.installMode=${SI_INSTALL_MODE} "-Dacu.commonLocation=${ACU_COMMON}" com.ibm.ac.si.backup.Application CLI_INVOKED -b $1 $2