#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/unix/exportIU.sh, si_cli, si_dev
# Version:  1.25
# Modified: 4/6/06 12:16:15
# Build:    1 25
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# 3258     chena      20040722       Inconsistancy between exportIU.cmd & exportIU.sh
# 3322     cap        20040729       change %1 %2.. to %*
# 3322     cap        20040729       change %1 %2.. to $*
# f003476  mbelvin    20040820       Added installMode java property
# 4744     hyin       20041216       Fix .sh cmds that fail if spaces in path
# 5037 	   hyin       20050117       Copyright text is wrong in several .sh files
# f7107    bmyers     20050602       FN-26 - Allow root to run non-root install CLIs
# f7312    ekirchst   20050610       UB-09 - call setenv if not set already
# d7468    bmyers     20050626       fix common location
#########################################################################

. "$(commonLocation)/setenv.sh"

"$SI_JAVA_HOME"/bin/java -Djava.ext.dirs="$SI_EXT_DIRS" -Dacu.installMode=${SI_INSTALL_MODE} -Ddb2j.system.home="$SI_PATH/repos" "-Dacu.commonLocation=${ACU_COMMON}" com.ibm.ac.si.iuregistry.ExportIU "$@"
