#!/bin/sh
############ Begin Standard Header - Do not add comments here ###########
# 
# File:     workspace/install/setupImage/bin/as400/restoredb.sh, si_ostp, si_dev
# Version:  1.27.1.11
# Modified: 5/31/06 12:37:24
# Build:    1 27
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2005.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
########################## End Standard Header ##########################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# 3263     smurphy    20040721       Reset Db2jServer to allow the update
# 3343     smurphy    20040803 
# 3399     smurphy    20040813       Provide correct handling for backupDBs case     
# f003476  mbelvin    20040820       Added installMode java property
# 0003851  mbelvin    20040921       Do not stop database if TEST mode
# 004545   smurphy    20041209       Handle shutdown and restarting server
# 005012   smurphy    20050113       Change path to variable
# 5037 	   hyin	      20050117       Copyright text is wrong in several .sh files
# 005337   smurphy    20050209       Run start db in background 
# f006683  smurphy    20050428       New generic SI service handler starts cloudscape and SI upgrader
# 006777   smurphy    20050509       Use new script to handle start/stop server
# f7107    bmyers     20050602       FN-26 - Allow root to run non-root install CLIs
# d07206.1 spmurphy   20050616       Provided controlled ending of DB servers
# d7468    bmyers     20050626       fix common location
# d10661   spmurphy   20060404       Fix server restart problem
# d11586   willmark   20060531       backup/restore application handles db shutdown/startup.
#########################################################################
. "$(commonLocation)/setenv.sh"

$SI_JAVA_HOME/bin/java -Djava.ext.dirs=${SI_EXT_DIRS} -Dacu.installMode=${SI_INSTALL_MODE} "-Dacu.commonLocation=${ACU_COMMON}" com.ibm.ac.si.backup.Application CLI_INVOKED -r $1 $2
