@echo off
@REM *************** Begin Standard Header - Do not add comments here ***************
@REM 
@REM File:     workspace/install/setupImage/bin/install_si.cmd, si_cli, si_dev
@REM Version:  1.3
@REM Modified: 4/6/06 13:57:01
@REM Build:    1 3
@REM 
@REM Licensed Materials - Property of IBM
@REM 
@REM Restricted Materials of IBM
@REM 
@REM ACOM-SIT
@REM 
@REM (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
@REM 
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM **************************** End Standard Header *******************************
@REM # @version 1.2 Jun 13, 2005
@REM # @author Eric Kirchstein
@REM #
@REM # Defect   Name       Date           Description
@REM # -------  ---------  -------------  ------------------------------------
@REM # 
@REM # Feature  Name       Date           Description
@REM # -------  ---------  -------------  ------------------------------------ 
@REM # 0007359  ekirchst   20050613       UB-09: Depricated batch file, replaced with cmd file
@REM #
@REM # For support syntax:
@REM #     si_inst.bat -?
@REM #
@REM #
@REM #*************************************************************************


set DIRNAME=%~dp0
set DATA_PATH=%DIRNAME%\.data
set ARGPATH=CLI_INVOKED %*
set JAVA_EXE=java.exe

:LOOP
 if   "%1"=="" goto DONE
     if "%1"=="-javaHome" set SI_JAVA_HOME=%2
       shift
      goto loop
 :done

if exist "%SI_JAVA_HOME%\bin\java.exe" set JAVA_EXE=%SI_JAVA_HOME%\bin\java.exe
 
if exist .data\setup.jar ("%JAVA_EXE%" "-Dacu.installMode=$(acu.installMode)" "-Dacu.commonLocation=$(acu.commonLocation)" -jar .data\setup.jar %ARGPATH%) else ("%JAVA_EXE%" "-Dacu.installMode=$(acu.installMode)" "-Dacu.commonLocation=$(acu.commonLocation)" -jar "%DATA_PATH%"\setup.jar %ARGPATH%)

if "%1" == "-r" set SI_JAVA_HOME=


