#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/manageIU.sh, si_cli, si_dev
# Version:  1.13.1.8
# Modified: 5/6/08 03:59:29
# Build:    1 13
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# 4744     hyin       20041216       Fix .sh cmds that fail if spaces in path
# 5037 	   hyin	      20050117       Copyright text is wrong in several .sh files
# f7107    bmyers     20050602       FN-26 - Allow root to run non-root install CLIs
# f7312    ekirchst   20050610       UB-09 - call setenv if not set already
# d7468    bmyers     20050626       fix common location
#########################################################################
#For usage, run this script without arguments.

. "$(commonLocation)/setenv.sh"


"$SI_JAVA_HOME"/bin/java -Djava.ext.dirs="$SI_EXT_DIRS" -Dacu.installMode=${SI_INSTALL_MODE} "-Dacu.commonLocation=${ACU_COMMON}" com.ibm.ac.si.cm.cli.ManageIU "$@"
