#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/zos/setenv_wstp.sh, si_install, si_dev
# Version:  1.3
# Modified: 4/6/06 13:55:41
# Build:    1 3
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.1
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
#
#########################################################################

#
# WSTP registration script will set this when wstp is registered
# SI_WAS_HOME=
#
if [ -f "$ACU_COMMON/si_envs/set_was_home.sh" ]; then
    . "$ACU_COMMON/si_envs/set_was_home.sh"
fi

if [ -z "${SI_WAS_HOME}" ]; then
    SI_WAS_HOME="$(si_was_home)"
fi
export SI_WAS_HOME

SI_EXT_DIRS="${SI_EXT_DIRS}:${SI_WAS_HOME}/lib:${SI_WAS_HOME}/java/jre/lib/ext"
export SI_EXT_DIRS

