--------------- Begin Standard Header - Do not add comments here ---------------
-- 
-- File:     workspace/install/setupImage/dat/schema/sql/osschema.sql, si_ostp, si_dev
-- Version:  1.11.1.3
-- Modified: 4/6/06 13:48:46
-- Build:    1 11
-- 
-- Licensed Materials - Property of IBM
-- 
-- Restricted Materials of IBM
-- 
-- ACOM-SIT
-- 
-- (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
------------------------------ End Standard Header -----------------------------
--
-- @version 1.2
--
-- Defect   Name       Date           Description
-- -------  ---------  -------------  ------------------------------------
-- f004157  jwoodga    20041021       Migration to Cloudscape 10
--
--------------------------------------------------------------------------

CREATE TABLE SI.INSTALLED_SOFTWARE (
       NAME           VARCHAR(2048)  NOT NULL,
       VERSION        VARCHAR(256)  NOT NULL,
       DISCRIMINANT   VARCHAR(2048) NOT NULL,
       SOURCE         VARCHAR(64),
       CONSTRAINT UN_ISOFTWARE_NVD UNIQUE (NAME, VERSION, DISCRIMINANT)
);

CREATE INDEX IS_SRC_IDX ON SI.INSTALLED_SOFTWARE (SOURCE);
