--------------- Begin Standard Header - Do not add comments here ---------------
-- 
-- File:     workspace/install/setupImage/dat/schema/sql/persistence_schema.sql, si_actions, si_dev
-- Version:  1.7.1.3
-- Modified: 4/6/06 13:51:40
-- Build:    1 7
-- 
-- Licensed Materials - Property of IBM
-- 
-- Restricted Materials of IBM
-- 
-- ACOM-SIT
-- 
-- (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
------------------------------ End Standard Header -----------------------------
--
-- @version 1.2
--
-- Defect   Name       Date           Description
-- -------  ---------  -------------  ------------------------------------
-- f004157  jwoodga    20041021       Migration to Cloudscape 10
-- 0004927  pdavis     20041210       DoEndToEndInlineCU test fails
--
--------------------------------------------------------------------------

CREATE TABLE SI.FILE (
       SCOPE          VARCHAR (1024) NOT NULL,
       NAME           VARCHAR(1024) NOT NULL,
       UUID           VARCHAR (36) NOT NULL,
       UNDO           SMALLINT,
       CREATE_TIME    TIMESTAMP,
       CONSTRAINT NAME_PK PRIMARY KEY (SCOPE, UUID)
);

CREATE INDEX FILE_IDX ON SI.FILE (NAME);

