<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output method="xml" indent="yes"/>

<xsl:template match="Hardware">
<IPProtocolEndpoint><xsl:apply-templates select="IPAddress"/></IPProtocolEndpoint>
</xsl:template>

<xsl:template match="IPAddress">
<IPProtocolEndpoint>
<name><xsl:apply-templates select="Hostname"/></name>
<IPAddress><xsl:apply-templates select="Address"/></IPAddress>
<domain><xsl:apply-templates select="Domain"/></domain>
<subnetMask><xsl:apply-templates select="Subnet"/></subnetMask>
<gateway><xsl:apply-templates select="Gateway"/></gateway>
<primaryDNS><xsl:apply-templates select="PrimaryDNS"/></primaryDNS>
<secondaryDNS><xsl:apply-templates select="SecondaryDNS"/></secondaryDNS>
</IPProtocolEndpoint>
</xsl:template>

</xsl:stylesheet>
