############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/as400/setenv.sh, si_install, si_dev
# Version:  1.8
# Modified: 4/6/06 12:15:47
# Build:    1 8
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2005, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#########################################################################
# 
# Defect   Name       Date     Description
# -------  ---------  -------- ------------------------------------------
# 
########################### End Change History ##########################

if [ -z "${SI_MODIFIED_LDLIB}" ] ; then 
	SI_ORIGINAL_LDLIB="$LD_LIBRARY_PATH"
	export SI_ORIGINAL_LDLIB
	SI_MODIFIED_LDLIB="$LD_LIBRARY_PATH"
	export SI_MODIFIED_LDLIB
fi

if [ "$SI_MODIFIED_LDLIB" != "$LD_LIBRARY_PATH" ] ; then
	SI_ORIGINAL_LDLIB="$LD_LIBRARY_PATH"
	export SI_ORIGINAL_LDLIB
fi

if [ -z "${SI_ORIGINAL_LDLIB}" ] ; then 
	LD_LIBRARY_PATH="$SI_PATH/lib"
	export LD_LIBRARY_PATH
else
	LD_LIBRARY_PATH="$SI_PATH/lib:$SI_ORIGINAL_LDLIB"
	export LD_LIBRARY_PATH
fi
SI_MODIFIED_LDLIB="$LD_LIBRARY_PATH"
export SI_MODIFIED_LDLIB

ls "$SI_ENV_DIR/"*.sh > /dev/null 2>&1
rc=$?
if [ $rc -eq 0 ]; then
    for env_file in "$SI_ENV_DIR/"*.sh; do
        . $env_file
    done
fi
