#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     %W%
# Version:  %I%
# Modified: %G% %U%
# Build:    %R% %L%
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# d09538.1 spmurphy   20050126       Temporary file to handle CIT scan encode issues
# d010908  willmark   20060419       Conversion not needed, we will read UTF-8 file directly
#########################################################################

. "$(commonLocation)/setenv.sh"
if [ -z "$1" ] || [ "$1" != "-o" ] && [ -z "$2" ] ; then

	echo "Argument [$1] and/or [$2] is not supported."
	echo ""
	echo "Usage:"
	echo "wscanhw.sh -o <path_and_file>"
	echo ""
else 
    "$(CITInstallPath)/WSCANHW.PGM" $1 $2 $3 $4 $5 $6 $7 $8 $9
fi
