#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/unix/registerIUDD.sh, si_cli, si_dev
# Version:  1.21
# Modified: 8/15/07 15:54:34
# Build:    1 21
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# 0004744  hyin       20041216       Fix .sh cmds that fail if spaces in path
# f003476  mbelvin    20040820       Added installMode java property
# 5037     hyin       20050117       Copyright text is wrong in several .sh files
# 0005037  bmyers     20050301       Fix to handle spaces in the path
# f7107    bmyers     20050602       FN-26 - Allow root to run non-root install CLIs
# f7312    ekirchst   20050610       UB-09 - call setenv if not set already
#########################################################################

. "$(commonLocation)/setenv.sh"

"$SI_JAVA_HOME"/bin/java -Djava.ext.dirs="$SI_EXT_DIRS" -Dacu.installMode=${SI_INSTALL_MODE} -Ddb2j.system.home="$SI_PATH/repos" "-Dacu.commonLocation=${ACU_COMMON}" com.ibm.ac.si.iuregistry.RegisterIUDD "$1" "$2" "$3"
