#!/bin/sh
############### Begin Standard Header - Do not add comments here ###############
# 
# File:     workspace/install/setupImage/bin/zos/exportIU.sh, si_cli, si_dev
# Version:  1.5
# Modified: 4/6/06 12:16:51
# Build:    1 5
# 
# Licensed Materials - Property of IBM
# 
# Restricted Materials of IBM
# 
# ACOM-SIT
# 
# (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
# 
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# 
############################# End Standard Header ##############################
#
# @version 1.2
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
# 3258    chena      20040722       Inconsistancy between exportIU.cmd & exportIU.sh
# 3322    cap        20040729       change %1 %2.. to %*
# 3322    cap        20040729       change %1 %2.. to $*
# f003476  mbelvin    20040820       Added installMode java property
# 4744     hyin       20041216       Fix .sh cmds that fail if spaces in path
# 5037 	   hyin		  20050117       Copyright text is wrong in several .sh files
#########################################################################

. "$(commonLocation)/setenv.sh"

"$SI_JAVA_HOME"/bin/java -Djava.ext.dirs="$SI_EXT_DIRS" -Dacu.installMode=${SI_INSTALL_MODE} -Ddb2j.system.home="$SI_PATH/repos" com.ibm.ac.si.iuregistry.ExportIU "$@"
