#!/bin/csh
#************************************************************************
#
# File:     workspace/install/setupImage/bin/zos/setenv_wstp.csh, si_install, si_dev
# Version:  1.2
# Modified: 8/9/05 15:59:23
# Build:    1 2
#
#************** Begin Copyright - Do not add comments here **************
#
# IBM Confidential
#
# ACOM-SIT
#
# (C) COPYRIGHT IBM CORP. 2003, 2004.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.
#
#**************************** End Copyright *****************************
#
# @version 1.1
#
# Defect   Name       Date           Description
# -------  ---------  -------------  ------------------------------------
#
#************************************************************************

#
#
# WSTP registration script will set this when wstp is registered
# SI_WAS_HOME=
#
if ( -e "$ACU_COMMON/si_envs/set_was_home.csh" ) then
    source $ACU_COMMON/si_envs/set_was_home.csh"
endif

if ( $?SI_WAS_HOME ) then
    echo
else
    setenv SI_WAS_HOME "$(si_was_home)"
endif
setenv SI_EXT_DIRS "${SI_EXT_DIRS}:${SI_WAS_HOME}/lib:${SI_WAS_HOME}/java/jre/lib/ext"
