#!/bin/csh
# (C) COPYRIGHT IBM CORP. 2003
# The source code for this program is not published or otherwise divested 
# of its trade secrets, irrespective of what has been deposited with the
# U.S. Copyright Office. 

setenv ACU_COMMON "$(commonLocation)"
setenv SI_PATH "$(installLocation)"
setenv SI_JAVA_HOME "$(si_java_home)"
setenv SI_EXT_DIRS "$(si_ext_dirs)"
setenv SI_INSTALL_MODE "$(acu.installMode)"

if ( $?CLASSPATH ) then
  setenv SI_CLASSPATH "$(class.path):${CLASSPATH}"
else
  setenv SI_CLASSPATH "$(class.path)"
endif

setenv PATH "${PATH}:${SI_PATH}/bin:${SI_PATH}/lib::/usr/sbin"
setenv SI_ENV_DIR "${ACU_COMMON}/si_envs"
ls "${SI_ENV_DIR}/"*.csh >& /dev/null
setenv rc $status
if ( ${rc} == 0 ) then
    foreach env_file ("${SI_ENV_DIR}/"*.csh) >& /dev/null
        source $env_file
    end
endif
