--------------- Begin Standard Header - Do not add comments here ---------------
-- 
-- File:     workspace/install/setupImage/dat/schema/sql/pending_schema.sql, si_actionsif, si_dev
-- Version:  1.4
-- Modified: 4/6/06 13:54:24
-- Build:    1 4
-- 
-- Licensed Materials - Property of IBM
-- 
-- Restricted Materials of IBM
-- 
-- ACOM-SIT
-- 
-- (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
------------------------------ End Standard Header -----------------------------
--
-- @version 1.2.2
--
-- Defect   Name       Date           Description
-- -------  ---------  -------------  ------------------------------------
-- f008049  june       20050730       Created for FN-05: Support requests pending on restart/login
--
--------------------------------------------------------------------------

CREATE TABLE SI.PENDING_REQUEST (
    TRANS_ID      VARCHAR(64) NOT NULL,
    REQUEST_ID    VARCHAR(64) NOT NULL,
    UPDATE_TYPE   VARCHAR(64) NOT NULL,
    UPDATE_CAUSE  VARCHAR(64) NOT NULL,
    DATA          VARCHAR(512),
    PENDING_TIME  TIMESTAMP,
    CONSTRAINT NAME_PK PRIMARY KEY (TRANS_ID, REQUEST_ID, UPDATE_TYPE)
);

