--------------- Begin Standard Header - Do not add comments here ---------------
-- 
-- File:     workspace/install/setupImage/dat/schema/sql/tprschema.sql, si_tpreg, si_dev
-- Version:  1.13
-- Modified: 4/6/06 12:18:23
-- Build:    1 13
-- 
-- Licensed Materials - Property of IBM
-- 
-- Restricted Materials of IBM
-- 
-- ACOM-SIT
-- 
-- (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
-- 
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- 
------------------------------ End Standard Header -----------------------------
--
-- @version 1.2
--
-- Defect   Name       Date           Description
-- -------  ---------  -------------  ------------------------------------
-- f004157  jwoodga    20041021       Migration to Cloudscape 10
-- f007810  june       20050714       FN-05: Add DisplayName to TouchpointRegistryDB
-- f008501  william    20050907       FN-36: Access to presentation data about resource properties
-- f008812  csearcey   20050927       removed NOT NULL from MRP_DOCUMENT
--------------------------------------------------------------------------

 create table SI.TOUCHPOINT_DEFINITION (
                  MANAGEABLE_RESOURCE_ID VARCHAR(128) NOT NULL PRIMARY KEY,
                  TOUCHPOINT_REFERENCE_URI VARCHAR(512) NOT NULL,
                  ENDPOINT_REFERENCE VARCHAR(1024) NOT NULL,
                  MANAGEABLE_RESOURCE_NAME VARCHAR(256) NOT NULL );

 create table SI.TOUCHPOINT_DEFINITION_TYPE (
                  MANAGEABLE_RESOURCE_ID VARCHAR(128) NOT NULL, 
                  MANAGEABLE_RESOURCE_TYPE VARCHAR(128) NOT NULL );

 create unique index mrid_mrtype_index on SI.TOUCHPOINT_DEFINITION_TYPE( 
                  MANAGEABLE_RESOURCE_ID, 
                  MANAGEABLE_RESOURCE_TYPE);

 create table SI.MANAGED_RESOURCE_PROPERTY_DATA (
                  MANAGED_RESOURCE_ID VARCHAR(128) NOT NULL PRIMARY KEY,
                  MANAGED_RESOURCE_TYPE VARCHAR(128) NOT NULL,
                  MANAGED_RESOURCE_PARENT VARCHAR(128),
                  MRP_DOCUMENT CLOB );

