echo off
@REM *************** Begin Standard Header - Do not add comments here ***************
@REM 
@REM File:     workspace/install/setupImage/dat/wstp/bin/w32-ix86/wstp_setcp.cmd, si_wstp, si_dev
@REM Version:  1.16
@REM Modified: 4/6/06 12:18:40
@REM Build:    1 16
@REM 
@REM Licensed Materials - Property of IBM
@REM 
@REM Restricted Materials of IBM
@REM 
@REM ACOM-SIT
@REM 
@REM (C) COPYRIGHT IBM CORP. 2003, 2006.  All Rights Reserved.
@REM 
@REM US Government Users Restricted Rights - Use, duplication or
@REM disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM 
@REM **************************** End Standard Header *******************************
@REM
@REM wstp_setcp - Set up the classpath for the Solution Install WebSphere touchpoints
@REM
@REM #************************************************************************

if defined WAS_HOME goto checksipath
echo Environment variable WAS_HOME is not defined.  Please set the WAS_HOME environment variable
goto :EOF

:checksipath
if defined SI_PATH goto checkacucommon
echo Environment variable SI_PATH is not defined.  You need to run %%ACU_COMMON%%\setenv.cmd first where %%ACU_COMMON%% is the Solution Install common directory, for example C:\Program Files\IBM\common\acu.
goto :EOF

:checkacucommon
if defined ACU_COMMON goto sipathdefined
echo Environment variable ACU_COMMON is not defined.  You need to run %%ACU_COMMON%%\setenv.cmd first where %%ACU_COMMON%% is the Solution Install common directory, for example C:\Program Files\IBM\common\acu.
goto :EOF

:sipathdefined

if not exist "%WAS_HOME%"\bin\WebSphereTPHostDeploy.jacl (copy "%SI_PATH%"\dat\wstp\bin\common\WebSphereTPHostDeploy.jacl "%WAS_HOME%"\bin)
if not exist "%WAS_HOME%"\bin\registerwstp.cmd (copy "%SI_PATH%"\dat\wstp\bin\registerwstp.cmd "%WAS_HOME%"\bin)
if not exist "%WAS_HOME%"\installableApps\WebSphereTP.ear (copy "%SI_PATH%"\dat\wstp\lib\WebSphereTP.ear "%WAS_HOME%"\installableApps)
if not exist "%WAS_HOME%"\classes\wstp.jar (copy "%SI_PATH%"\dat\wstp\lib\wstp.jar "%WAS_HOME%"\classes)
if not exist "%WAS_HOME%"\classes\si.jar (copy "%SI_PATH%"\dat\wstp\lib\si.jar "%WAS_HOME%"\classes)
if not exist "%WAS_HOME%"\classes\jlog.jar (copy "%SI_PATH%"\dat\wstp\lib\jlog.jar "%WAS_HOME%"\classes)
if not exist "%WAS_HOME%"\classes\cmserver.jar (copy "%SI_PATH%"\dat\wstp\lib\cmserver.jar "%WAS_HOME%"\classes)
if not exist "%WAS_HOME%"\classes\cmproxy.jar (copy "%SI_PATH%"\dat\wstp\lib\cmproxy.jar "%WAS_HOME%"\classes)
if not exist "%WAS_HOME%"\classes\iuddmodel.jar (copy "%SI_PATH%"\dat\wstp\lib\iuddmodel.jar "%WAS_HOME%"\classes)
if not exist "%WAS_HOME%"\classes\iuddUtils.jar (copy "%SI_PATH%"\dat\wstp\lib\iuddUtils.jar "%WAS_HOME%"\classes)
if not exist "%WAS_HOME%"\classes\mediamodel.jar (copy "%SI_PATH%"\dat\wstp\lib\mediamodel.jar "%WAS_HOME%"\classes)
if not exist "%WAS_HOME%"\classes\mediaUtils.jar (copy "%SI_PATH%"\dat\wstp\lib\mediaUtils.jar "%WAS_HOME%"\classes)

@REM the following is to support backward compatibility because ACU dir name changed to ACSI in SI 1.2.1
@REM NOTE:  acu.persistSVCRepos is required to prevent null pointer error, but it is not used by WSTP
mkdir "%ACU_COMMON%\..\ACU"
echo si.hostscallout.proxy=com.ibm.ac.si.cm.hosts.webservices.HostsCalloutWSProxyWrapper> "%ACU_COMMON%\..\ACU\ACUApplication.properties"
echo acu.persistSVCRepos=.>> "%ACU_COMMON%\..\ACU\ACUApplication.properties"

